postCreate user invitation
Required capability
users.inviteSends an e-mail invitation to a new user. The invitation links a role and scope to the recipient. Once accepted, the user is provisioned and the role assignment activated.
Request
Request URL
POST /user-invitationsRequest Body
{
"display_name": "Jane Doe",
"email": "jane.doe@acme.example",
"role": "roles/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"scope": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b"
}Responses
Response
{
"invitation": {
"accepted_at": null,
"cancelled_at": null,
"challenge_ref": null,
"created_at": "2026-05-01T10:00:00Z",
"email_constraint": "jane.doe@acme.example",
"enterprise_ref": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"etag": "W/\"a1b2c3d4\"",
"expires_at": "2026-05-01T10:00:00Z",
"id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"invited_by": "users/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"pending_human_actor_ref": "users/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"role": "roles/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"scope": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"status": "pending",
"updated_at": "2026-05-01T10:00:00Z"
},
"status": "pending"
}Resource created successfully.